Bug 164683 - Network Manager crashes when user tries to connect to aps with certain ESSIDs
Summary: Network Manager crashes when user tries to connect to aps with certain ESSIDs
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard: impact=moderate,reported=20050729,pub...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-30 01:19 UTC by Ray Strode [halfline]
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 14:02:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2005-07-30 01:19:19 UTC
Network Manager passes logging messages straight to syslog as the format string.
 This causes it to crash when connecting to access points that contain format
string characters.

This was reported initially by Ian Jackson:

http://mail.gnome.org/archives/networkmanager-list/2005-July/msg00196.html

Comment 1 Josh Bressers 2005-08-02 14:02:50 UTC
This issue has been fixed by the NetworkManager update FEDORA-2005-680


Note You need to log in before you can comment on or make changes to this bug.